<!DOCTYPE html>

<html>
  <head>
  <meta charset='utf-8'>
  <title>TestNG reports</title>

    <link type="text/css" href="testng-reports.css" rel="stylesheet" />
    <script type="text/javascript" src="jquery-1.7.1.min.js"></script>
    <script type="text/javascript" src="testng-reports.js"></script>
    <script type="text/javascript" src="https://www.google.com/jsapi"></script>
    <script type='text/javascript'>
      google.load('visualization', '1', {packages:['table']});
      google.setOnLoadCallback(drawTable);
      var suiteTableInitFunctions = new Array();
      var suiteTableData = new Array();
    </script>
    <!--
      <script type="text/javascript" src="jquery-ui/js/jquery-ui-1.8.16.custom.min.js"></script>
     -->
  </head>

  <body>
    <div class="top-banner-root">
      <span class="top-banner-title-font">Test results</span>
      <br/>
      <span class="top-banner-font-1">1 suite</span>
    </div> <!-- top-banner-root -->
    <div class="navigator-root">
      <div class="navigator-suite-header">
        <span>All suites</span>
        <a href="#" title="Collapse/expand all the suites" class="collapse-all-link">
          <img src="collapseall.gif" class="collapse-all-icon">
          </img> <!-- collapse-all-icon -->
        </a> <!-- collapse-all-link -->
      </div> <!-- navigator-suite-header -->
      <div class="suite">
        <div class="rounded-window">
          <div class="suite-header light-rounded-window-top">
            <a href="#" panel-name="suite-Automation_Framework" class="navigator-link">
              <span class="suite-name border-skipped">Automation_Framework</span>
            </a> <!-- navigator-link -->
          </div> <!-- suite-header light-rounded-window-top -->
          <div class="navigator-suite-content">
            <div class="suite-section-title">
              <span>Info</span>
            </div> <!-- suite-section-title -->
            <div class="suite-section-content">
              <ul>
                <li>
                  <a href="#" panel-name="test-xml-Automation_Framework" class="navigator-link ">
                    <span>E:\Study\Automation Testing\Automotion_Framework\testng.xml</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" panel-name="testlist-Automation_Framework" class="navigator-link ">
                    <span class="test-stats">1 test</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" panel-name="group-Automation_Framework" class="navigator-link ">
                    <span>0 groups</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" panel-name="times-Automation_Framework" class="navigator-link ">
                    <span>Times</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" panel-name="reporter-Automation_Framework" class="navigator-link ">
                    <span>Reporter output</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" panel-name="ignored-methods-Automation_Framework" class="navigator-link ">
                    <span>Ignored methods</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" panel-name="chronological-Automation_Framework" class="navigator-link ">
                    <span>Chronological view</span>
                  </a> <!-- navigator-link  -->
                </li>
              </ul>
            </div> <!-- suite-section-content -->
            <div class="result-section">
              <div class="suite-section-title">
                <span>Results</span>
              </div> <!-- suite-section-title -->
              <div class="suite-section-content">
                <ul>
                  <li>
                    <span class="method-stats">4 methods,  4 skipped,  </span>
                  </li>
                  <li>
                    <span class="method-list-title skipped">Skipped methods</span>
                    <span class="show-or-hide-methods skipped">
                      <a href="#" panel-name="suite-Automation_Framework" class="hide-methods skipped suite-Automation_Framework"> (hide)</a> <!-- hide-methods skipped suite-Automation_Framework -->
                      <a href="#" panel-name="suite-Automation_Framework" class="show-methods skipped suite-Automation_Framework"> (show)</a> <!-- show-methods skipped suite-Automation_Framework -->
                    </span>
                    <div class="method-list-content skipped suite-Automation_Framework">
                      <span>
                        <img src="skipped.png" width="3%"/>
                        <a href="#" panel-name="suite-Automation_Framework" title="Ali.Homepage" class="method navigator-link" hash-for-method="LoginPage">LoginPage</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                      <span>
                        <img src="skipped.png" width="3%"/>
                        <a href="#" panel-name="suite-Automation_Framework" title="Ali.Homepage" class="method navigator-link" hash-for-method="LoginPage">LoginPage</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                      <span>
                        <img src="skipped.png" width="3%"/>
                        <a href="#" panel-name="suite-Automation_Framework" title="Ali.Homepage" class="method navigator-link" hash-for-method="LoginPage">LoginPage</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                      <span>
                        <img src="skipped.png" width="3%"/>
                        <a href="#" panel-name="suite-Automation_Framework" title="Ali.Homepage" class="method navigator-link" hash-for-method="LoginPage">LoginPage</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                    </div> <!-- method-list-content skipped suite-Automation_Framework -->
                  </li>
                </ul>
              </div> <!-- suite-section-content -->
            </div> <!-- result-section -->
          </div> <!-- navigator-suite-content -->
        </div> <!-- rounded-window -->
      </div> <!-- suite -->
    </div> <!-- navigator-root -->
    <div class="wrapper">
      <div class="main-panel-root">
        <div panel-name="suite-Automation_Framework" class="panel Automation_Framework">
          <div class="suite-Automation_Framework-class-skipped">
            <div class="main-panel-header rounded-window-top">
              <img src="skipped.png"/>
              <span class="class-name">Ali.Homepage</span>
            </div> <!-- main-panel-header rounded-window-top -->
            <div class="main-panel-content rounded-window-bottom">
              <div class="method">
                <div class="method-content">
                  <a name="LoginPage">
                  </a> <!-- LoginPage -->
                  <span class="method-name">LoginPage</span>
                  <div class="stack-trace">java.lang.IllegalStateException: The path to the driver executable must be set by the webdriver.chrome.driver system property; for more information, see https://github.com/SeleniumHQ/selenium/wiki/ChromeDriver. The latest version can be downloaded from http://chromedriver.storage.googleapis.com/index.html
	at com.google.common.base.Preconditions.checkState(Preconditions.java:847)
	at org.openqa.selenium.remote.service.DriverService.findExecutable(DriverService.java:134)
	at org.openqa.selenium.chrome.ChromeDriverService.access$000(ChromeDriverService.java:35)
	at org.openqa.selenium.chrome.ChromeDriverService$Builder.findDefaultExecutable(ChromeDriverService.java:159)
	at org.openqa.selenium.remote.service.DriverService$Builder.build(DriverService.java:355)
	at org.openqa.selenium.chrome.ChromeDriverService.createDefaultService(ChromeDriverService.java:94)
	at org.openqa.selenium.chrome.ChromeDriver.&lt;init&gt;(ChromeDriver.java:123)
	at Ali.Homepage.PreCondition(Homepage.java:38)
... Removed 28 stack frames
</div> <!-- stack-trace -->
                </div> <!-- method-content -->
              </div> <!-- method -->
              <div class="method">
                <div class="method-content">
                  <a name="LoginPage">
                  </a> <!-- LoginPage -->
                  <span class="method-name">LoginPage</span>
                  <div class="stack-trace">java.lang.IllegalStateException: The path to the driver executable must be set by the webdriver.chrome.driver system property; for more information, see https://github.com/SeleniumHQ/selenium/wiki/ChromeDriver. The latest version can be downloaded from http://chromedriver.storage.googleapis.com/index.html
	at com.google.common.base.Preconditions.checkState(Preconditions.java:847)
	at org.openqa.selenium.remote.service.DriverService.findExecutable(DriverService.java:134)
	at org.openqa.selenium.chrome.ChromeDriverService.access$000(ChromeDriverService.java:35)
	at org.openqa.selenium.chrome.ChromeDriverService$Builder.findDefaultExecutable(ChromeDriverService.java:159)
	at org.openqa.selenium.remote.service.DriverService$Builder.build(DriverService.java:355)
	at org.openqa.selenium.chrome.ChromeDriverService.createDefaultService(ChromeDriverService.java:94)
	at org.openqa.selenium.chrome.ChromeDriver.&lt;init&gt;(ChromeDriver.java:123)
	at Ali.Homepage.PreCondition(Homepage.java:38)
... Removed 28 stack frames
</div> <!-- stack-trace -->
                </div> <!-- method-content -->
              </div> <!-- method -->
              <div class="method">
                <div class="method-content">
                  <a name="LoginPage">
                  </a> <!-- LoginPage -->
                  <span class="method-name">LoginPage</span>
                  <div class="stack-trace">java.lang.IllegalStateException: The path to the driver executable must be set by the webdriver.chrome.driver system property; for more information, see https://github.com/SeleniumHQ/selenium/wiki/ChromeDriver. The latest version can be downloaded from http://chromedriver.storage.googleapis.com/index.html
	at com.google.common.base.Preconditions.checkState(Preconditions.java:847)
	at org.openqa.selenium.remote.service.DriverService.findExecutable(DriverService.java:134)
	at org.openqa.selenium.chrome.ChromeDriverService.access$000(ChromeDriverService.java:35)
	at org.openqa.selenium.chrome.ChromeDriverService$Builder.findDefaultExecutable(ChromeDriverService.java:159)
	at org.openqa.selenium.remote.service.DriverService$Builder.build(DriverService.java:355)
	at org.openqa.selenium.chrome.ChromeDriverService.createDefaultService(ChromeDriverService.java:94)
	at org.openqa.selenium.chrome.ChromeDriver.&lt;init&gt;(ChromeDriver.java:123)
	at Ali.Homepage.PreCondition(Homepage.java:38)
... Removed 28 stack frames
</div> <!-- stack-trace -->
                </div> <!-- method-content -->
              </div> <!-- method -->
              <div class="method">
                <div class="method-content">
                  <a name="LoginPage">
                  </a> <!-- LoginPage -->
                  <span class="method-name">LoginPage</span>
                  <div class="stack-trace">java.lang.IllegalStateException: The path to the driver executable must be set by the webdriver.chrome.driver system property; for more information, see https://github.com/SeleniumHQ/selenium/wiki/ChromeDriver. The latest version can be downloaded from http://chromedriver.storage.googleapis.com/index.html
	at com.google.common.base.Preconditions.checkState(Preconditions.java:847)
	at org.openqa.selenium.remote.service.DriverService.findExecutable(DriverService.java:134)
	at org.openqa.selenium.chrome.ChromeDriverService.access$000(ChromeDriverService.java:35)
	at org.openqa.selenium.chrome.ChromeDriverService$Builder.findDefaultExecutable(ChromeDriverService.java:159)
	at org.openqa.selenium.remote.service.DriverService$Builder.build(DriverService.java:355)
	at org.openqa.selenium.chrome.ChromeDriverService.createDefaultService(ChromeDriverService.java:94)
	at org.openqa.selenium.chrome.ChromeDriver.&lt;init&gt;(ChromeDriver.java:123)
	at Ali.Homepage.PreCondition(Homepage.java:38)
... Removed 28 stack frames
</div> <!-- stack-trace -->
                </div> <!-- method-content -->
              </div> <!-- method -->
            </div> <!-- main-panel-content rounded-window-bottom -->
          </div> <!-- suite-Automation_Framework-class-skipped -->
        </div> <!-- panel Automation_Framework -->
        <div panel-name="test-xml-Automation_Framework" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">E:\Study\Automation Testing\Automotion_Framework\testng.xml</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
            <pre>
&lt;?xml version=&quot;1.0&quot; encoding=&quot;UTF-8&quot;?&gt;
&lt;!DOCTYPE suite SYSTEM &quot;http://testng.org/testng-1.0.dtd&quot;&gt;
&lt;suite name=&quot;Automation_Framework&quot; guice-stage=&quot;DEVELOPMENT&quot;&gt;
  &lt;parameter name=&quot;URL&quot; value=&quot;https://freecrm.com/&quot;/&gt;
  &lt;listeners&gt;
    &lt;listener class-name=&quot;Listeners.listenersAli&quot;/&gt;
  &lt;/listeners&gt;
  &lt;test thread-count=&quot;5&quot; name=&quot;Lgyash&quot;&gt;
    &lt;classes&gt;
      &lt;class name=&quot;Ali.Homepage&quot;/&gt;
    &lt;/classes&gt;
  &lt;/test&gt; &lt;!-- Lgyash --&gt;
&lt;/suite&gt; &lt;!-- Automation_Framework --&gt;
            </pre>
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="testlist-Automation_Framework" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">Tests for Automation_Framework</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
            <ul>
              <li>
                <span class="test-name">Lgyash (1 class)</span>
              </li>
            </ul>
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="group-Automation_Framework" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">Groups for Automation_Framework</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="times-Automation_Framework" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">Times for Automation_Framework</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
            <div class="times-div">
              <script type="text/javascript">
suiteTableInitFunctions.push('tableData_Automation_Framework');
function tableData_Automation_Framework() {
var data = new google.visualization.DataTable();
data.addColumn('number', 'Number');
data.addColumn('string', 'Method');
data.addColumn('string', 'Class');
data.addColumn('number', 'Time (ms)');
data.addRows(4);
data.setCell(0, 0, 0)
data.setCell(0, 1, 'LoginPage')
data.setCell(0, 2, 'Ali.Homepage')
data.setCell(0, 3, 0);
data.setCell(1, 0, 1)
data.setCell(1, 1, 'LoginPage')
data.setCell(1, 2, 'Ali.Homepage')
data.setCell(1, 3, 0);
data.setCell(2, 0, 2)
data.setCell(2, 1, 'LoginPage')
data.setCell(2, 2, 'Ali.Homepage')
data.setCell(2, 3, 0);
data.setCell(3, 0, 3)
data.setCell(3, 1, 'LoginPage')
data.setCell(3, 2, 'Ali.Homepage')
data.setCell(3, 3, 0);
window.suiteTableData['Automation_Framework']= { tableData: data, tableDiv: 'times-div-Automation_Framework'}
return data;
}
              </script>
              <span class="suite-total-time">Total running time: 0 ms</span>
              <div id="times-div-Automation_Framework">
              </div> <!-- times-div-Automation_Framework -->
            </div> <!-- times-div -->
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="reporter-Automation_Framework" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">Reporter output for Automation_Framework</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="ignored-methods-Automation_Framework" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">0 ignored methods</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="chronological-Automation_Framework" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">Methods in chronological order</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
            <div class="chronological-class">
              <div class="chronological-class-name">Ali.Homepage</div> <!-- chronological-class-name -->
              <div class="configuration-method before">
                <img src="failed.png">
                </img>
                <span class="method-name">PreCondition(https://freecrm.com/)</span>
                <span class="method-start">0 ms</span>
              </div> <!-- configuration-method before -->
              <div class="test-method">
                <span class="method-name">LoginPage</span>
                <span class="method-start">-1562718319832 ms</span>
              </div> <!-- test-method -->
              <div class="test-method">
                <span class="method-name">LoginPage</span>
                <span class="method-start">-1562718319832 ms</span>
              </div> <!-- test-method -->
              <div class="test-method">
                <span class="method-name">LoginPage</span>
                <span class="method-start">-1562718319832 ms</span>
              </div> <!-- test-method -->
              <div class="test-method">
                <span class="method-name">LoginPage</span>
                <span class="method-start">-1562718319832 ms</span>
              </div> <!-- test-method -->
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
      </div> <!-- main-panel-root -->
    </div> <!-- wrapper -->
  </body>
</html>
